I dont get it what to do, I tired to install the package from your first link. I add the repo and installed the package via YaST. After I execute the command
zypper in shibboleth
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides libxerces-c.so.28()(64bit) needed by shibboleth-2.5.3-1.1.x86_64
Solution 1: do not install shibboleth-2.5.3-1.1.x86_64
Solution 2: break shibboleth-2.5.3-1.1.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c] (c): 1
Resolving dependencies...
Resolving package dependencies...

Nothing to do.
As you mentioned I followed up their website but I could not find other version.